org.vishia.gral.widget

## Class GralFileSelector.FileSelectList

- java.lang.Object
- - org.vishia.gral.widget.GralSelectList<FileRemote>
  - - org.vishia.gral.widget.GralFileSelector.FileSelectList

- All Implemented Interfaces:
    Removeable
  Enclosing class:
    GralFileSelector

      protected class GralFileSelector.FileSelectList
      extends GralSelectList<FileRemote>

  Implementation of the base widget.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralFileSelector` | `outer`

    - ### Fields inherited from class org.vishia.gral.widget.GralSelectList

      `actions, keyLeft, keyRight, version, wdgdTable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSelectList(GralFileSelector outer, java.lang.String posName, int rows, int[] columns, char size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionLeft(java.lang.Object userData, GralTableLine_ifc line)` The 'action left' for the FileSelector shows the parent directory.
    `boolean` | `actionOk(java.lang.Object userData, GralTableLine_ifc line)` Action if a table line is selected and entered.
    `void` | `actionRight(java.lang.Object userData, GralTableLine_ifc line)` Action if a table line is selected and ctrl-right is pressed or the release button is pressed.
    `void` | `actionRightZip(java.lang.Object userData, GralTableLine_ifc line)`
    `boolean` | `actionUserKey(int keyCode, java.lang.Object oData, GralTableLine_ifc line)` Action if a table line is selected and any other key is pressed or the context menu is invoked.
    `private java.lang.String` | `getParentDir(java.io.File data)`

    - ### Methods inherited from class org.vishia.gral.widget.GralSelectList

      `createImplWidget_Gthread, remove, set, setFocus, setLeftRightKeys, stop, XXXsetToPanel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### outer

          final GralFileSelector outer

  - ### Constructor Detail

    - #### FileSelectList

          FileSelectList(GralFileSelector outer,
                         java.lang.String posName,
                         int rows,
                         int[] columns,
                         char size)

  - ### Method Detail

    - #### actionOk

          public boolean actionOk(java.lang.Object userData,
                                  GralTableLine_ifc line)

      Description copied from class: `GralSelectList`
      Action if a table line is selected and entered. Its either a double click with the mouse or click of OK (Enter) button.
      Specified by:
        `actionOk` in class `GralSelectList<FileRemote>`
      Parameters:
        `userData` - The user data stored in the line of table.

    - #### getParentDir

          private java.lang.String getParentDir(java.io.File data)

    - #### actionLeft

          public void actionLeft(java.lang.Object userData,
                                 GralTableLine_ifc line)

      The 'action left' for the FileSelector shows the parent directory. The `GralFileSelector.currentDir` is used to get its parent to show.
      Specified by:
        `actionLeft` in class `GralSelectList<FileRemote>`
      Parameters:
        `line` - the current line. It is unused because userData contains the file.
        `userData` - The `GralTableLine_ifc.getUserData()` from line. It is a java.io.File or a `FileRemote` which is currently selected. This file is stored as current for the current directory. The parent of the file is the directory which is shown yet.
      See Also:
        `GralSelectList.actionLeft(java.lang.Object, org.vishia.gral.ifc.GralTableLine_ifc)`

    - #### actionRight

          public void actionRight(java.lang.Object userData,
                                  GralTableLine_ifc line)

      Description copied from class: `GralSelectList`
      Action if a table line is selected and ctrl-right is pressed or the release button is pressed.
      Specified by:
        `actionRight` in class `GralSelectList<FileRemote>`
      Parameters:
        `userData` - The user data stored in the line of table.

    - #### actionRightZip

          public void actionRightZip(java.lang.Object userData,
                                     GralTableLine_ifc line)

    - #### actionUserKey

          public boolean actionUserKey(int keyCode,
                                       java.lang.Object oData,
                                       GralTableLine_ifc line)

      Description copied from class: `GralSelectList`
      Action if a table line is selected and any other key is pressed or the context menu is invoked.
      Specified by:
        `actionUserKey` in class `GralSelectList<FileRemote>`
      Parameters:
        `keyCode` - code or mouse code, one of constans from `KeyCode`.
        `oData` - The user data stored in the line of table.
        `line` - The table line.
      Returns:
        true if is was relevant for the key.